Post by Burt65 » Fri Dec 15, 2017 11:42 pm

You have just discover Opencart (OC), or you are coming from a different platform and you are seriously considering of starting a new on-line shop or make the switch to OC...

Either way the problem and the answer it's the same...

OC in itself (any version), can be used out of the box to operate a simple but functional on-line shop.. At the end of the day, however the Marketplace is where most of us come to realise that if you want customise your shop, for your particular needs, you need a compatible extensions/Mods.
I can assure you that most (read the majority of) developers in the Marketplace, work very hard and are proud of the extension they offer, but not all extensions are up to the latest version of OC. Some are still very good extensions but no longer supported, while other are not worth it or simply not feasible to convert to the latest version.
Beside the fact that like any other software on the planet, any new version do have glitches and bugs that need fixing, not having the extension/Mods you need for your chosen version, does in a nutshell dictate what version you can/should use...

OC source is available on Github, so if you have the knowledge, and can create your own extensions, fixing bugs..., the latest version will do.
If you don't, then you probably better sit a couple of rows behind the front stage.. ;)

At the end of the day, we have thousands of members using anything from 1.5.5.1 all the way to the latest version (3.0.2.0 as of 18/7/17). Not that I'm recommending you to use version 1.5.5.1... I'm just saying that there are people using older versions and still making loads of money and having decent on-line shops...

Older version are rock solid and still have plenty of support, however most developers, logically, are constantly improving their extension and taking advantage of the new features founded in the latest version...

So instead of recommending here a specific version number, I would prefer to suggest a more intelligent approach.
If you are new to the e-commerce world, start by writing down what are planning of selling and how would you like to achieve that.
You could browse around and once you find an on-line shop that you like, you could try to compare apple for apple and see what would you need to add to the Standard OC (if anything), to make it work in a similar way.

This would lead you to find in the Marketplace the specific Extensions/Mods required to fulfil your plan and at the same time giving you a direction of which version of Opencart to use...

Another valid approach could be to find the extension you need and then to ask the developer of such extension what OC version he/she would recommend...

In any case, the Version of OC is not as important as to find the available extensions/Mods for you needs.

Finally we also have a Commercial Support area, in case what you are after is not ready available in the Marketplace...

Over 95% of all computer problems can be traced back to the interface between the keyboard and the chair...


User avatar
Active Member

Posts

Joined
Mon Nov 18, 2013 3:23 pm
Location - Oz
Who is online

Users browsing this forum: No registered users and 5 guests